#include<bits/stdc++.h>
using namespace std;
int n,arr[1001],br=1,br_1;
int isPrime(int n)
{
    if(n==1) return 1;
    if(n%2==0) return 0;
    if(n%3==0) return 0;
    for(int i=5; i*i<=n; i+=6)
    {
        if(n%i==0 or n%(i+2)==0) return 0;
    }
    return 1;
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);
    cin>>n;
    if(isPrime(n))
    {
        cout<<"1 \n";
        return 0;
    }
    arr[0]=1;
    for(int i=2; i<n; i++)
    {
        if(n%i==0)
        {
            arr[br]=i;
            br++;
        }
    }
    arr[br]=n;
    br++;
    for(int i=0; i<br/2; i++)
    {
        for(int j=i; j<br; j++)
        {
            for(int k=j; k<br; k++)
            {
                if(arr[i]*arr[j]*arr[k]==n)
                {
                    br_1++;
                }
            }
        }
    }
    cout<<br_1<<"\n";
    return 0;
}
/*
60
1 2 3 4 5 6 10 12 15 20 30 60
*/
